/*
 * @Author: wjc
 * @Date: 2024-06-05 10:21:23
 * @LastEditors: wjc
 * @LastEditTime: 2024-06-05 17:46:23
 * @Description:
 */
import { checkStatus } from './checkStatus'

export type RequestOptions = UniApp.RequestOptions

export const request = <T>(options: RequestOptions) => {
  return new Promise<T>((resolve, reject) => {
    uni.request({
      responseType: 'json',
      ...options,
      success(res) {
        if (checkStatus(res.statusCode)) {
          reject(res)
        } else {
          resolve(res.data as T)
        }
      },
      fail(err) {
        uni.showToast({
          icon: 'none',
          title: 'error',
        })
        reject(err)
      },
    })
  })
}
